#!/bin/bash 
#===============================================================================
#
#          FILE:  partition_disks.sh
# 
#         USAGE:  ./partition_disks.sh 
# 
#   DESCRIPTION:  
# 
#       OPTIONS:  ---
#  REQUIREMENTS:  ---
#          BUGS:  ---
#         NOTES:  ---
#        AUTHOR: bqin (), bqin@linx-info.com
#       COMPANY: linx-info
#     COPYRIGHT: Copyright 2001-2013 Beijing Linx Technology Co.,Ltd.
#       CREATED: 2013年12月23日 16时18分10秒 CST
#      REVISION:  ---
#===============================================================================


source ./functions

main ()
{
    reumount /mnt/
    while read line;do
	info "$line" stdout
	[ -z "$line" ] && continue

	parted -s $line
	ret=$?
	if [ $ret -ne 0 ];then
	    exit $ret
	else
	    info "partition disk $line success" stdout
	fi
    done
}


main "$@"


